<?php
$listViewDefs['Contacts'] = array(
    'NAME'           => array(
        'width'          => '15%',
        'label'          => 'LBL_LIST_NAME',
        'link'           => true,
        'contextMenu'    => array(
            'objectType' => 'sugarPerson',
            'metaData'   => array(
                'contact_id'        => '{$ID}',
                'module'            => 'Contacts',
                'return_action'     => 'ListView',
                'contact_name'      => '{$FULL_NAME}',
                'parent_id'         => '{$ACCOUNT_ID}',
                'parent_name'       => '{$ACCOUNT_NAME}',
                'return_module'     => 'Contacts',
                'parent_type'       => 'Account',
                'notes_parent_type' => 'Account',
            ),
        ),
        'orderBy'        => 'name',
        'default'        => true,
        'related_fields' => array(
            0 => 'first_name',
            1 => 'last_name',
            2 => 'salutation',
            3 => 'account_name',
            4 => 'account_id',
        ),
    ),
    'NAME_2_C'       => array(
        'type'    => 'varchar',
        'default' => true,
        'label'   => 'LBL_NAME_2',
        'width'   => '15%',
        'link'    => true,
    ),
    'ACCOUNT_NAME'   => array(
        'width'          => '20%',
        'label'          => 'LBL_LIST_ACCOUNT_NAME',
        'module'         => 'Accounts',
        'id'             => 'ACCOUNT_ID',
        'link'           => true,
        'contextMenu'    => array(
            'objectType' => 'sugarAccount',
            'metaData'   => array(
                'return_module' => 'Contacts',
                'return_action' => 'ListView',
                'module'        => 'Accounts',
                'parent_id'     => '{$ACCOUNT_ID}',
                'parent_name'   => '{$ACCOUNT_NAME}',
                'account_id'    => '{$ACCOUNT_ID}',
                'account_name'  => '{$ACCOUNT_NAME}',
            ),
        ),
        'default'        => true,
        'sortable'       => true,
        'ACLTag'         => 'ACCOUNT',
        'related_fields' => array(
            0 => 'account_id',
        ),
    ),
    'CONTACT_TYPE_C' => array(
        'type'    => 'enum',
        'default' => true,
        'studio'  => 'visible',
        'label'   => 'LBL_CONTACT_TYPE',
        'width'   => '10%',
    ),
    'EMAIL1'         => array(
        'width'      => '14%',
        'label'      => 'LBL_LIST_EMAIL_ADDRESS',
        'sortable'   => false,
        'link'       => true,
        'customCode' => '<a href="mailto:{$EMAIL}">{$EMAIL}</a>',
        'default'    => true,
    ),
    'DATE_ENTERED'   => array(
        'width'   => '13%',
        'label'   => 'LBL_DATE_ENTERED',
        'default' => true,
    ),
    'DATE_MODIFIED'  => array(
        'type'    => 'datetime',
        'label'   => 'LBL_DATE_MODIFIED',
        'width'   => '13%',
        'default' => true,
    ),
);
